## mycompiler.myclass
Class InstVarDecl

    java.lang.Object
      mycompiler.myclass.FieldDecl
          mycompiler.myclass.InstVarDecl

All Implemented Interfaces:
  ITypeReplacementListener

    public class InstVarDecl

extends FieldDecl
implements ITypeReplacementListener

Field Summary

Fields inherited from class mycompiler.myclass.FieldDecl
`declid`

Constructor Summary
`InstVarDecl()`

Method Summary
`void` `codegen(ClassFile classfile, de.dhbwstuttgart.typeinference.Menge paralist)`
`int` `getLineNumber()`
`Type` `getType()`
`int` `getTypeLineNumber()` Author: J�rg B�uerle
`java.lang.String` `getTypeName()`
`void` `replaceType(CReplaceTypeEvent e)` Author: J�rg B�uerle
`void` `setType(Type t)` Author: J�rg B�uerle

Methods inherited from class mycompiler.myclass.FieldDecl
`get_Name, getDeclIdMenge, set_DeclId, setDeclIdMenge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstVarDecl

    public InstVarDecl()

Method Detail

### setType

    public void setType(Type t)

  Author: J�rg B�uerle

  Parameters:
    `t` -

### getType

    public Type getType()

### getTypeName

    public java.lang.String getTypeName()

  Specified by:
    `getTypeName` in class `FieldDecl`

### codegen

    public void codegen(ClassFile classfile,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `FieldDecl`
  Throws:
    `JVMCodeException`

### getLineNumber

    public int getLineNumber()

### replaceType

    public void replaceType(CReplaceTypeEvent e)

  Author: J�rg B�uerle

  Specified by:
    `replaceType` in interface `ITypeReplacementListener`
  Parameters:
    `e` -

### getTypeLineNumber

    public int getTypeLineNumber()

  Author: J�rg B�uerle

  Specified by:
    `getTypeLineNumber` in interface `ITypeReplacementListener`
  Returns: